Bug 498298 - unable to remove packages on rhel 4U7 via webui
unable to remove packages on rhel 4U7 via webui
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
http://grandprix.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 456985 486216
  Show dependency treegraph
 
Reported: 2009-04-29 15:22 EDT by wes hayutin
Modified: 2009-09-10 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-04-29 15:22:23 EDT
Description of problem:

build 4/24.1

recreate:
1. register a rhel4_u7 client
2. install zsh via webui, rhn_check
3. schedule a removal of zsh via webui, rhn_check

action fails.. w/ 
fjs-0-18.rhndev.redhat.com 	 4/29/09 3:19:14 PM EDT 	 Packages scheduled in action 409 for server 1000010120 could not be found.

[root@fjs-0-18 ~]# cat /etc/sysconfig/rhn/systemid | grep 1000
<value><string>ID-1000010120</string></value>
[root@fjs-0-18 ~]# 


recreated on two different client systems..
Comment 2 Justin Sherrill 2009-05-04 17:39:07 EDT
silly arch issue, since rhel 4's server packages are null, it wasn't finding the package


7ba321e
Comment 3 wes hayutin 2009-05-26 13:22:55 EDT
verified 5/21.1
Comment 4 Jan Pazdziora 2009-09-07 09:37:39 EDT
Stage validated with Satellite-5.3.0-RHEL5-re20090820.1.

Scheduled installation:

[root@vmware146 ~]# rpm -q zsh
package zsh is not installed
[root@vmware146 ~]# rhn_check -v

Name                                    Version        Rel     
----------------------------------------------------------
zsh                                     4.2.0          4.EL.4.5          i386  
No advisory information available


zsh-4.2.0-4.EL.4.5.i386.rpm ########################## Done.                   
Preparing              ########################################### [100%]

Installing...
   1:zsh                    ########################################### [100%]
[root@vmware146 ~]# rpm -q zsh
zsh-4.2.0-4.EL.4.5
[root@vmware146 ~]#

Schedule removal:

[root@vmware146 ~]# rhn_check -v
[root@vmware146 ~]# rpm -q zsh
package zsh is not installed
[root@vmware146 ~]# 

Moving to RELEASE_PENDING.
Comment 5 Brandon Perkins 2009-09-10 14:15:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.